Public Product Endpoints

Retrieve a collection of Products via get

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token in the format: Bearer {your-token}

Query parameters
pageinteger · min: 1 · nullableOptional

Page of the index to retrieve

Example: 1
per_pageinteger · min: 1 · max: 100 · nullableOptional

Number of Products per page to retrieve for the index

Example: 20
search_termsstring[] · nullableOptional

Array of search terms for filtering the Products to retrieve in the index

Example: test
tag_filtersstring[] · nullableOptional

Array of tags to filter the Products to retrieve in the index

Example: LTI11
Responses
chevron-right
200

get success: Product Collection

application/json
get
/api/public/v1/products

Retrieve a collection of Products via post

post
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token in the format: Bearer {your-token}

Query parameters
pageinteger · min: 1 · nullableOptional

Page of the index to retrieve

Example: 1
per_pageinteger · min: 1 · max: 100 · nullableOptional

Number of Products per page to retrieve for the index

Example: 20
search_termsstring[] · nullableOptional

Array of search terms for filtering the Products to retrieve in the index

Example: test
tag_filtersstring[] · nullableOptional

Array of tags to filter the Products to retrieve in the index

Example: LTI11
Responses
chevron-right
200

post success: Product Collection

application/json
post
/api/public/v1/products

Returns details for a Product

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token in the format: Bearer {your-token}

Path parameters
idinteger · min: 1Required

ID of the Product to retrieve

Example: 1
Responses
chevron-right
200

Details for the Product

application/json
idintegerRequired

ID of the Product

namestringRequired

Name of the Product

descriptionstring · nullableOptional

Description of the Product

taglinestring · nullableOptional

Tagline of the Product

urlstring · nullableOptional

Primary URL for the Product information

logo_image_urlstring · nullableOptional

URL of the Product logo image

logo_urlstring · nullableOptional

URL of the Product logo image

company_namestring · nullableOptional

Name of the company that created the Product

company_urlstring · nullableOptional

URL of the company that created the Product

screenshot_image_urlsstring[] · nullableOptional

list of image URLs of the Product screenshots

banner_image_urlstring · nullableOptional

URL of the Product card image

support_urlstring · nullableOptional

URL for support of the Product

accessibility_urlstring · nullableOptional

URL describing the accessibility of the Product

privacy_policy_urlstring · nullableOptional

URL describing the privacy policy of the Product

terms_of_service_urlstring · nullableOptional

URL describing the terms of service of the Product

accepting_leadsboolean · nullableOptional

Whether the Product is accepting leads

videostring · nullableOptional

Video of the Product

get
/api/public/v1/products/{id}

Save details of user for learn more

post
Body
countrystringRequiredExample: US
statestringRequiredExample: AR
organizationstringRequiredExample: Lawrence Public School District
current_canvas_companyboolean · nullableOptionalExample: true
gradestring · enum · nullableOptionalExample: K12Possible values:
namestringRequiredExample: Anne Example
rolestringRequiredExample: C&I Director
emailstring · emailRequiredExample: [email protected]
notesstring · nullableOptionalExample: Please detail any specific information you would like to learn from this partner.
tool_idintegerRequiredExample: 123
Responses
post
/api/public/v1/learn_more

Last updated

Was this helpful?